API ReferenceOrganisation Management
🆕 Update organisation billing structure (Admin only)
Update the payment structure and settlement period for an organisation. Admin access required.
PUT
/v1/organisation-management/{id}/billingAuthorization
bearer AuthorizationBearer <token>
In: header
Path Parameters
id*string
Organisation ID
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X PUT "https://example.com/v1/organisation-management/string/billing" \ -H "Content-Type: application/json" \ -d '{ "paymentStructure": "POSTPAID" }'{ "success": true, "statusCode": 200, "message": "Request processed successfully", "timestamp": "2025-10-20T16:30:00.000Z", "path": "/v1/auth/register", "data": { "id": "org_cjld2cjxh0000qzrmn831i7rn", "paymentStructure": "POSTPAID", "settlementPeriod": "MONTHLY", "message": "Organisation billing configuration updated successfully" }}